summaryrefslogtreecommitdiffstats
path: root/network/tucan
diff options
context:
space:
mode:
author Nai <bluedbs@gmail.com>2010-05-12 23:32:49 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:32:49 +0200
commitc64d3a2ad9fe9bb23aa9272dbf3d72974c3b911f (patch)
treeada8a8760c9710b6dfbf0d62bdb6e577d3b5e0ef /network/tucan
parentedf35a62ae5790efd15ad263724755ff10f462e5 (diff)
downloadslackbuilds-c64d3a2ad9fe9bb23aa9272dbf3d72974c3b911f.tar.gz
slackbuilds-c64d3a2ad9fe9bb23aa9272dbf3d72974c3b911f.tar.xz
network/tucan: Added to 12.2 repository
Diffstat (limited to 'network/tucan')
-rw-r--r--network/tucan/README5
-rw-r--r--network/tucan/slack-desc19
-rw-r--r--network/tucan/tucan.SlackBuild60
-rw-r--r--network/tucan/tucan.info8
4 files changed, 92 insertions, 0 deletions
diff --git a/network/tucan/README b/network/tucan/README
new file mode 100644
index 0000000000..fbf8f27ea3
--- /dev/null
+++ b/network/tucan/README
@@ -0,0 +1,5 @@
+Tucan Manager is a free and open source software designed for automatic
+management of downloads and uploads at hosting sites like rapidshare or
+megaupload.
+
+This requires pil and tesseract.
diff --git a/network/tucan/slack-desc b/network/tucan/slack-desc
new file mode 100644
index 0000000000..e2873b4e31
--- /dev/null
+++ b/network/tucan/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tucan: Tucan Manager
+tucan:
+tucan: Tucan Manager is a free and open source software
+tucan: designed for automatic management of downloads and
+tucan: uploads at hosting sites like rapidshare or megaupload.
+tucan:
+tucan: http://cusl3-tucan.forja.rediris.es/index-en.html
+tucan:
+tucan:
+tucan:
+tucan:
diff --git a/network/tucan/tucan.SlackBuild b/network/tucan/tucan.SlackBuild
new file mode 100644
index 0000000000..f812894e89
--- /dev/null
+++ b/network/tucan/tucan.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for tucan
+# Written by Nai (bluedbs at gmail dot com)
+
+PRGNAM=tucan
+VERSION=${VERSION:-0.3.7}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make DESTDIR=$PKG/usr basic-install
+( cd $PKG/usr/bin ; ln -sf ../share/tucan/tucan.py tucan )
+
+mkdir -p $PKG/usr/share/applications
+cp -f tucan.desktop $PKG/usr/share/applications
+
+# Put the manpages in the right place
+mv $PKG/usr/share/man $PKG/usr
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG README TODO docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/tucan/tucan.info b/network/tucan/tucan.info
new file mode 100644
index 0000000000..789050967d
--- /dev/null
+++ b/network/tucan/tucan.info
@@ -0,0 +1,8 @@
+PRGNAM="tucan"
+VERSION="0.3.7"
+HOMEPAGE="http://cusl3-tucan.forja.rediris.es/index-en.html"
+DOWNLOAD="http://forja.rediris.es/frs/download.php/1290/tucan-0.3.7.tar.gz"
+MD5SUM="df779bbf13ff6e7563f84870bd6a7696"
+MAINTAINER="Nai"
+EMAIL="bluedbs@gmail.com"
+APPROVED="rworkman"